<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: generate_holes.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_1563a38af0d3a5e4a6330d6d45e9792a.html">tools</a></li><li class="navelem"><a class="el" href="dir_3ec3a2b3b03353f2920aa6ffb389ec47.html">init_flow</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">generate_holes.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacegenerate__holes"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegenerate__holes.html">generate_holes</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a4c9d6dd393b754b5c04ad234763e49fb"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="generate__holes_8f90.html#a4c9d6dd393b754b5c04ad234763e49fb">generate_holes_domain</a></td></tr>
<tr class="separator:a4c9d6dd393b754b5c04ad234763e49fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:af0e8b74db4a166d71293cbd77fd22932"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegenerate__holes.html#af0e8b74db4a166d71293cbd77fd22932">generate_holes::dx</a></td></tr>
<tr class="separator:af0e8b74db4a166d71293cbd77fd22932"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a249ad0e9060665325d7d12bc8b53c02d"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegenerate__holes.html#a249ad0e9060665325d7d12bc8b53c02d">generate_holes::dy</a></td></tr>
<tr class="separator:a249ad0e9060665325d7d12bc8b53c02d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9c5b52a18f610d4214eecca234be76e"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegenerate__holes.html#af9c5b52a18f610d4214eecca234be76e">generate_holes::dz</a></td></tr>
<tr class="separator:af9c5b52a18f610d4214eecca234be76e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a4c9d6dd393b754b5c04ad234763e49fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c9d6dd393b754b5c04ad234763e49fb">&#9670;&nbsp;</a></span>generate_holes_domain()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine generate_holes_domain </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacegeneral__box.html#ab8ca066884519afdc71752c392953c26">general_box::dx</a>, <a class="el" href="namespacegeneral__box.html#a7bf77f896a55fb9d64591d14f1d8d274">general_box::dy</a>, <a class="el" href="namespacegeneral__box.html#a3113f224c4f489061ebfbe8d4f9b313b">general_box::dz</a>, and <a class="el" href="namespaceparser.html#a3ecbdeea55934b3994e9f7028fe7334f">parser::parser_is_defined()</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="generate__holes_8f90_a4c9d6dd393b754b5c04ad234763e49fb_cgraph.png" border="0" usemap="#generate__holes_8f90_a4c9d6dd393b754b5c04ad234763e49fb_cgraph" alt=""/></div>
<map name="generate__holes_8f90_a4c9d6dd393b754b5c04ad234763e49fb_cgraph" id="generate__holes_8f90_a4c9d6dd393b754b5c04ad234763e49fb_cgraph">
<area shape="rect" id="node2" href="namespaceparser.html#a3ecbdeea55934b3994e9f7028fe7334f" title="parser::parser_is_defined" alt="" coords="212,148,380,175"/>
<area shape="rect" id="node3" href="namespaceparser.html#a78c63fa231dbf4d7adae5c4ba724d6ee" title="parser::get_param" alt="" coords="428,148,555,175"/>
<area shape="rect" id="node4" href="namespaceparser.html#a91aaf4597fa9c7a14a57273280085469" title="parser::reset_tag_list" alt="" coords="625,5,769,32"/>
<area shape="rect" id="node5" href="namespaceparser.html#a34f545c81b46c08e17a82c1628281242" title="parser::add_tag_to_list" alt="" coords="620,56,775,83"/>
<area shape="rect" id="node6" href="namespaceparser.html#ae0cbde482df428447cce9a30d81332e7" title="parser::compare_tag\l_param" alt="" coords="627,107,768,149"/>
<area shape="rect" id="node7" href="namespaceparser.html#ae72f9b0f3318c3dc4c2290a3c543d78b" title="parser::compare_domain\l_param" alt="" coords="615,173,780,214"/>
<area shape="rect" id="node8" href="namespaceparser.html#a99f99745577c0d4e01da2a949b601bf0" title="parser::in_param_rewind_tag" alt="" coords="603,239,792,265"/>
<area shape="rect" id="node9" href="namespaceparser.html#ab0e00b1de2b23d9655cc7707e51ebae9" title="parser::in_param_rewind" alt="" coords="615,289,779,316"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="generate__holes_8f90_a4c9d6dd393b754b5c04ad234763e49fb_icgraph.png" border="0" usemap="#generate__holes_8f90_a4c9d6dd393b754b5c04ad234763e49fb_icgraph" alt=""/></div>
<map name="generate__holes_8f90_a4c9d6dd393b754b5c04ad234763e49fb_icgraph" id="generate__holes_8f90_a4c9d6dd393b754b5c04ad234763e49fb_icgraph">
<area shape="rect" id="node2" href="init__flow_8f90.html#a4520946850f5f87e24f6b14c7000d651" title="init_flow" alt="" coords="212,5,283,32"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
